diff mbox series

selftests/net: Find nettest in current directory

Message ID 20221118034421.994619-1-daniel.diaz@linaro.org
State Accepted
Commit bd5e1e42826f18147afb0ba07e6a815f52cf8bcb
Headers show
Series selftests/net: Find nettest in current directory | expand

Commit Message

Daniel Díaz Nov. 18, 2022, 3:44 a.m. UTC
The `nettest` binary, built from `selftests/net/nettest.c`,
was expected to be found in the path during test execution of
`fcnal-test.sh` and `pmtu.sh`, leading to tests getting
skipped when the binary is not installed in the system, as can
be seen in these logs found in the wild [1]:

  # TEST: vti4: PMTU exceptions                                         [SKIP]
  [  350.600250] IPv6: ADDRCONF(NETDEV_CHANGE): veth_b: link becomes ready
  [  350.607421] IPv6: ADDRCONF(NETDEV_CHANGE): veth_a: link becomes ready
  # 'nettest' command not found; skipping tests
  #   xfrm6udp not supported
  # TEST: vti6: PMTU exceptions (ESP-in-UDP)                            [SKIP]
  [  351.605102] IPv6: ADDRCONF(NETDEV_CHANGE): veth_b: link becomes ready
  [  351.612243] IPv6: ADDRCONF(NETDEV_CHANGE): veth_a: link becomes ready
  # 'nettest' command not found; skipping tests
  #   xfrm4udp not supported

The `unicast_extensions.sh` tests also rely on `nettest`, but
it runs fine there because it looks for the binary in the
current working directory [2]:

The same mechanism that works for the Unicast extensions tests
is here copied over to the PMTU and functional tests.

[1] https://lkft.validation.linaro.org/scheduler/job/5839508#L6221
[2] https://lkft.validation.linaro.org/scheduler/job/5839508#L7958

Signed-off-by: Daniel Díaz <daniel.diaz@linaro.org>
---
 tools/testing/selftests/net/fcnal-test.sh | 11 +++++++----
 tools/testing/selftests/net/pmtu.sh       | 10 ++++++----
 2 files changed, 13 insertions(+), 8 deletions(-)

Comments

patchwork-bot+netdevbpf@kernel.org Nov. 21, 2022, 1 p.m. UTC | #1
Hello:

This patch was applied to netdev/net.git (master)
by David S. Miller <davem@davemloft.net>:

On Thu, 17 Nov 2022 21:44:21 -0600 you wrote:
> The `nettest` binary, built from `selftests/net/nettest.c`,
> was expected to be found in the path during test execution of
> `fcnal-test.sh` and `pmtu.sh`, leading to tests getting
> skipped when the binary is not installed in the system, as can
> be seen in these logs found in the wild [1]:
> 
>   # TEST: vti4: PMTU exceptions                                         [SKIP]
>   [  350.600250] IPv6: ADDRCONF(NETDEV_CHANGE): veth_b: link becomes ready
>   [  350.607421] IPv6: ADDRCONF(NETDEV_CHANGE): veth_a: link becomes ready
>   # 'nettest' command not found; skipping tests
>   #   xfrm6udp not supported
>   # TEST: vti6: PMTU exceptions (ESP-in-UDP)                            [SKIP]
>   [  351.605102] IPv6: ADDRCONF(NETDEV_CHANGE): veth_b: link becomes ready
>   [  351.612243] IPv6: ADDRCONF(NETDEV_CHANGE): veth_a: link becomes ready
>   # 'nettest' command not found; skipping tests
>   #   xfrm4udp not supported
> 
> [...]

Here is the summary with links:
  - selftests/net: Find nettest in current directory
    https://git.kernel.org/netdev/net/c/bd5e1e42826f

You are awesome, thank you!
diff mbox series

Patch

diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 31c3b6ebd388..21ca91473c09 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -4196,10 +4196,13 @@  elif [ "$TESTS" = "ipv6" ]; then
 	TESTS="$TESTS_IPV6"
 fi
 
-which nettest >/dev/null
-if [ $? -ne 0 ]; then
-	echo "'nettest' command not found; skipping tests"
-	exit $ksft_skip
+# nettest can be run from PATH or from same directory as this selftest
+if ! which nettest >/dev/null; then
+	PATH=$PWD:$PATH
+	if ! which nettest >/dev/null; then
+		echo "'nettest' command not found; skipping tests"
+		exit $ksft_skip
+	fi
 fi
 
 declare -i nfail=0
diff --git a/tools/testing/selftests/net/pmtu.sh b/tools/testing/selftests/net/pmtu.sh
index 736e358dc549..dfe3d287f01d 100755
--- a/tools/testing/selftests/net/pmtu.sh
+++ b/tools/testing/selftests/net/pmtu.sh
@@ -686,10 +686,12 @@  setup_xfrm() {
 }
 
 setup_nettest_xfrm() {
-	which nettest >/dev/null
-	if [ $? -ne 0 ]; then
-		echo "'nettest' command not found; skipping tests"
-	        return 1
+	if ! which nettest >/dev/null; then
+		PATH=$PWD:$PATH
+		if ! which nettest >/dev/null; then
+			echo "'nettest' command not found; skipping tests"
+			return 1
+		fi
 	fi
 
 	[ ${1} -eq 6 ] && proto="-6" || proto=""